#pragma once


// demoStartProjectionDlg 对话框

class demoStartProjectionDlg : public CDialogEx
{
	DECLARE_DYNAMIC(demoStartProjectionDlg)

public:
	demoStartProjectionDlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~demoStartProjectionDlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_START_PROJECTION_DIALOG };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
    virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()

public:
    afx_msg void OnBnClickedOk();
    afx_msg void OnBnClickedCancel();
    afx_msg LRESULT OnStartProjectionResult(WPARAM wParam, LPARAM lParam);

private:
    CEdit m_pairCodeEdit;       // 配对码控件
    CEdit m_randomNumberEdit;   // 随机数控件
    CEdit m_verifyCodeEdit;     // 验证码控件

    CString m_pairCode;         // 配对码
    CString m_randomNumber;     // 随机数
    CString m_verifyCode;       // 验证码
};
